JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MountedVolumeListChangeDetector Class Referenceabstract
juce_events » messages

An instance of this class will provide callbacks when drives are mounted or unmounted on the system. More...

`#include <juce_MountedVolumeListChangeDetector.h>`

## Public Member Functions
| MountedVolumeListChangeDetector ()
virtual | ~MountedVolumeListChangeDetector ()
virtual void | mountedVolumeListChanged ()=0
| This method is called when a volume is mounted or unmounted.

## Detailed Description

An instance of this class will provide callbacks when drives are mounted or unmounted on the system.

Just inherit from this class and implement the pure virtual method to get the callbacks, there's no need to do anything else.

See also
  File::findFileSystemRoots()

## Constructor & Destructor Documentation

## ◆ MountedVolumeListChangeDetector()

MountedVolumeListChangeDetector::MountedVolumeListChangeDetector | ( |  | ) |

## ◆ ~MountedVolumeListChangeDetector()

virtual MountedVolumeListChangeDetector::~MountedVolumeListChangeDetector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ mountedVolumeListChanged()

virtual void MountedVolumeListChangeDetector::mountedVolumeListChanged | ( |  | ) |
| pure virtual

This method is called when a volume is mounted or unmounted.

The documentation for this class was generated from the following file:

- juce_MountedVolumeListChangeDetector.h